$(document).ready(function(){
	var scegli = '<option value="0">Scegli...</option>';
	var attendere = '<option value="0">Attendere...</option>';

	$("select#Diametro").html(scegli);
	$("select#Diametro").attr("disabled", "disabled");

	$("select#TipoSupporto").html(scegli);
	$("select#TipoSupporto").attr("disabled", "disabled");

	$("select#TipoLamiera").html(scegli);
	$("select#TipoLamiera").attr("disabled", "disabled");

	$("select#TipoPavimenti").html(scegli);
	$("select#TipoPavimenti").attr("disabled", "disabled");

	$("select#volvenza").html(scegli);
	$("select#volvenza").attr("disabled", "disabled");

	$("select#TipoRuota").html(scegli);
	$("select#TipoRuota").attr("disabled", "disabled");
	  
	$("select#Portata").html(scegli);
	$("select#Portata").attr("disabled", "disabled");

	$("select#SerieSupporti").html(scegli);
	$("select#SerieSupporti").attr("disabled", "disabled");


	$("select#applicazione").change(function(){ SelezionaTabelle(); });

	$("select#comeRuota").change(function(){ SelezionaTabelle(); });


	$("select#Diametro").change(function(){ ContaRecords() });

	$("select#TipoSupporto").change(function(){ ContaRecords() });

	$("select#TipoLamiera").change(function(){ ContaRecords() });

	$("select#volvenza").change(function(){ ContaRecords() });

	$("select#TipoRuota").change(function(){ ContaRecords() });

	$("select#Portata").change(function(){ ContaRecords() });

	$("select#SerieSupporti").change(function(){ ContaRecords() });


	function SelezionaTabelle() {
		var applic = $("select#applicazione option:selected").attr('value');
		var comeR  = $("select#comeRuota option:selected").attr('value');

		// applicazione non scelto  di default Collettivit
		// comeruota non scelta  di default Ruota montata
		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

// alert("SelezionaTabelle .. applicazione : "+applic+"  comeruota : "+comeR);

		$("select#Diametro").html(attendere);
		$("select#Diametro").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Diametro',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("#Diametro").removeAttr("disabled");
				$("#Diametro").html(data);
			},
			error: function() { alert("malfunzionamento select Diametro"); }
		});


		$("select#TipoSupporto").html(attendere);
		$("select#TipoSupporto").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Supporto',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#TipoSupporto").removeAttr("disabled"); 
				$("select#TipoSupporto").html(data);
			},
			error: function() { alert("malfunzionamento select TipoSupporto"); }
		});


		$("select#TipoLamiera").html(attendere);
		$("select#TipoLamiera").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Lamiera',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#TipoLamiera").removeAttr("disabled"); 
				$("select#TipoLamiera").html(data);
			},
			error: function() { alert("malfunzionamento select TipoLamiera"); }
		});


		$("select#TipoPavimenti").html(attendere);
		$("select#TipoPavimenti").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Pavimenti',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#TipoPavimenti").removeAttr("disabled"); 
				$("select#TipoPavimenti").html(data);
			},
			error: function() { alert("malfunzionamento select TipoPavimenti"); }
		});


		$("select#volvenza").html(attendere);
		$("select#volvenza").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Volvenza',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#volvenza").removeAttr("disabled"); 
				$("select#volvenza").html(data);
			},
			error: function() { alert("malfunzionamento select volvenza"); }
		});


		$("select#TipoRuota").html(attendere);
		$("select#TipoRuota").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Ruota',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#TipoRuota").removeAttr("disabled"); 
				$("select#TipoRuota").html(data);
			},
			error: function() { alert("malfunzionamento select TipoRuota"); }
		});


		$("select#Portata").html(attendere);
		$("select#Portata").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'Portata',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#Portata").removeAttr("disabled"); 
				$("select#Portata").html(data);
			},
			error: function() { alert("malfunzionamento select Portata"); }
		});


		$("select#SerieSupporti").html(attendere);
		$("select#SerieSupporti").attr("disabled", "disabled");

		$.ajax ({   
			type: "POST",
			url: "characteristics.php",
			data: {
				funzione: 'SerieSup',
				id	: applic,
				id2	: comeR,
				lng	: 'it'
			},
			dataType: "html",
			success: function(data)
			{
				$("select#SerieSupporti").removeAttr("disabled"); 
				$("select#SerieSupporti").html(data);
			},
			error: function() { alert("malfunzionamento select SerieSupporti"); }
		});


		ContaRecords();

		return;
	}

	function ContaRecords() {
		var applic	= $("select#applicazione option:selected").attr('value');
		var comeR	= $("select#comeRuota option:selected").attr('value');
		var v_dmt	= $("select#Diametro option:selected").attr('value');
		var v_suppt	= $("select#TipoSupporto option:selected").attr('value'); 
		var v_lamier	= $("select#TipoLamiera option:selected").attr('value');
		var v_vol	= $("select#volvenza option:selected").attr('value'); 
		var v_Ruot	= $("select#TipoRuota option:selected").attr('value');
		var v_por	= $("select#Portata option:selected").attr('value');
		var v_seriesup	= $("select#SerieSupporti option:selected").attr('value'); 
		var v_pavt	= $("select#TipoPavimenti option:selected").attr('value'); 

		var t_applic	= $("select#applicazione option:selected").text();
		var t_comeR 	= $("select#comeRuota option:selected").text();
		var t_dmt	= $("select#Diametro option:selected").text();
		var t_suppt	= $("select#TipoSupporto option:selected").text(); 
		var t_lamier	= $("select#TipoLamiera option:selected").text();
		var t_vol	= $("select#volvenza option:selected").text(); 
		var t_Ruot	= $("select#TipoRuota option:selected").text();
		var t_por	= $("select#Portata option:selected").text();
		var t_seriesup	= $("select#SerieSupporti option:selected").text(); 
		var t_pavt	= $("select#TipoPavimenti option:selected").text(); 

		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

// alert("ContaRecords .. applicazione : "+applic+"  comeruota : "+comeR);

		$.ajax ({   
			type: "POST",
			url: "elementscount.php",
			data: {
				id		:applic,
				id2		:comeR,
				dmt		:v_dmt,
				suppt		:v_suppt,
				lamier		:v_lamier,
				vol		:v_vol,
				Ruot		:v_Ruot,
				por		:v_por,
				seriesup	:v_seriesup,
				pavt		:v_pavt,

				tid		:t_applic,
				tid2		:t_comeR,
				tdmt		:t_dmt,
				tsuppt		:t_suppt,
				tlamier		:t_lamier,
				tvol		:t_vol,
				tRuot		:t_Ruot,
				tpor		:t_por,
				tseriesup	:t_seriesup,
				tpavt		:t_pavt
			},
			dataType: "html",
			success: function(data){
				$("#result").html(data);
			},
			error: function(){
				alert("malfunzionamento elementscount");
			}
		});
		return;
	}
});

// cerca codice  
function Cerca() {
	var risp=window.prompt("Codice da cercare?","");
	if(risp === null) { alert("non hai digitato nulla!"); }
	else
		if (risp=="") { alert("non hai digitato nulla!"); } 
		else { window.location='cerca.php?cod='+risp; }
	return "0";
}
